/* SAMP17S.H */

/*  MENU CODES  */
#define  IDM_QUIT                 100
#define  IDM_EDIT                 200
#define  IDM_IMPORT               251
#define  IDM_REDRAW               300
#define  MFILE_OPEN               103
#define  MFILE_OPEN_DATA          104
#define  MFILE_OPEN_LOOK          105
#define  MFILE_OPEN_LOOKBACKGROUND 113
#define  MFILE_OPEN_LOOKGRAPH     114
#define  MFILE_SAVE               106
#define  MFILE_SAVE_AS            107
#define  MFILE_SAVE_AS_3DA        108
#define  MFILE_SAVE_LOOK	        109
#define  MFILE_SAVE_LOOKBACKGROUND 115
#define  MFILE_SAVE_LOOKGRAPH     116
#define  MFILE_OPEN_BIN_3DL       110
#define  MFILE_SAVE_AS_BIN_3DL    111
#define  MTEST_OPEN_SCRIPT        201
#define	MFILE_STDI	150
#define	MFILE_LTDI	151
#define  IDM_SP	153
#define  IDM_SM	154
#define  IDM_WP	155
#define  IDM_WM	156
#define  IDM_HORZ	157
#define  IDM_VERT	158
#define  IDM_3DGON	159
#define  IDM_3DGOFF	160
#define	IDM_NEWDATA_GRAPH        161
#define	IDM_NEWDATA_STRINGS      162
#define	IDM_NEWDATA_TITLE        163
#define	IDM_NEWDATA_SUBTITLE     164
#define	IDM_NEWDATA_FOOTNOTE		 165
#define	IDM_NEWDATA_SERIESTITLE	 166
#define	IDM_NEWDATA_GROUPSTITLE	 167
#define	IDM_NEWDATA_Y1TITLE		 168
#define	IDM_NEWDATA_Y2TITLE		 169
#define	IDM_NEWDATA_LABELS		 170
#define	IDM_NEWDATA_SERIES1		 171
#define	IDM_NEWDATA_GROUPS1		 172
#define	IDM_NEWDATA_DATACELL		 173
#define	IDM_DCNORMAL				 174
#define	IDM_DCBITMAP				 175

#define	IDM_Y1MANUAL				 176
#define	IDM_Y1INVERT				 177


#define  MTEST_DATAMANAGER        202
#define  MEDIT_CLEAR              203
#define  MEDIT_COPY               204
#define  MEDIT_CUT                205
#define  MEDIT_PASTE              206
#define  MEDIT_PASTELINK          207
#define  MEDIT_DELETE             208
#define  MEDIT_EXROW              210
#define  MEDIT_EXCOL              211
#define  MEDIT_GOTO               212
#define  MEDIT_NUMFORM4           213
#define  MEDIT_FONTCTRL           214
#define  MEDIT_FONTDATA           215
#define  MEDIT_INSERT             216
#define  MEDIT_UPDATE_DATA        217
#define  MEDIT_UNDO               218
#define  MEDIT_MAXIMIZEDM         219
#define  MEDIT_RESTOREDM          220

#define  BOX      999
#define  ID_OK      200
#define  ID_CANCEL  201
#define  ID_FONTSIZE	104


#define DATA_MANAGER_OFFSET        0x04CC       /* 1100 Dec. */

#define IDM_DM_ALIGN_CENTER        0x0000 + DATA_MANAGER_OFFSET
#define IDM_DM_ALIGN_GENERAL       0x0001 + DATA_MANAGER_OFFSET
#define IDM_DM_ALIGN_LEFT          0x0002 + DATA_MANAGER_OFFSET
#define IDM_DM_ALIGN_RIGHT         0x0003 + DATA_MANAGER_OFFSET


#define  IDM_BAR 				600
#define  IDM_LINE    		601
#define  IDM_AREA   			602
#define  IDM_3D   			603
#define  IDM_PIE   			604
#define	IDM_HISTOGRAM		605
#define IDM_PIEBAR			606
#define  IDM_SERIES0			650
#define  IDM_SERIES1			651
#define  IDM_SERIES2 		652
#define  IDM_BARS				617
#define  IDM_BARP				618
#define	IDM_BARSB			624
#define	IDM_BARSDB			625
#define	IDM_SCATTER				653

#define IDS_DM_UNDO_CLEAR     1
#define IDS_DM_UNDO_CUT       2
#define IDS_DM_UNDO_EDIT      3
#define IDS_DM_UNDO_IMPORT    4
#define IDS_DM_UNDO_NOTHING   5
#define IDS_DM_UNDO_PASTE     6
#define IDS_DM_UNDO_SET       7

